Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.security.role.da
Class DARoleIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<DARoleID>
              com.bea.portal.tools.security.role.da.DARoleIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class DARoleIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<DARoleID>

Builds and parses `DARoleID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`DARoleIDBuilder()` Constructor.

Method Summary
`DARoleID` | `createResourceID()` Create the `DARoleID`.
`ResourceID` | `getParentDARoleID()` Get the parent `DARoleID`.
`String` | `getRoleName()` Get the name of the delegated administration role.
`String` | `getTitle()` Get the title of the delegated administration role.
`DARoleIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`DARoleIDBuilder` | `setParentDARoleID(DARoleID parentDARoleID)` Change the parent `DARoleID`.
`DARoleIDBuilder` | `setRoleName(String name)` Change the name of the delegated administration role.
`DARoleIDBuilder` | `setTitle(String title)` Change the title of the delegated administration role.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DARoleIDBuilder

    public DARoleIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public DARoleIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<DARoleID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getParentDARoleID

    public ResourceID getParentDARoleID()

  Get the parent `DARoleID`.

  Returns
    the parent `DARoleID`

### setParentDARoleID

    public DARoleIDBuilder setParentDARoleID(DARoleID parentDARoleID)

  Change the parent `DARoleID`.

  Parameters
    `parentDARoleID` - the parent `DARoleID`
  Returns
    this `TaggedResourceIDBuilder`

### getRoleName

    public String getRoleName()

  Get the name of the delegated administration role.

  Returns
    the name of the delegated administration role

### setRoleName

    public DARoleIDBuilder setRoleName(String name)

  Change the name of the delegated administration role.

  Parameters
    `name` - the name of the delegated administration role
  Returns
    this `DARoleIDBuilder`

### getTitle

    public String getTitle()

  Get the title of the delegated administration role.

  Returns
    the title of the delegated administration role

### setTitle

    public DARoleIDBuilder setTitle(String title)

  Change the title of the delegated administration role.

  Parameters
    `title` - the title of the delegated administration role
  Returns
    this `DARoleIDBuilder`

### createResourceID

    public DARoleID createResourceID()

  Create the `DARoleID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<DARoleID>`
  Returns
    the `DARoleID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.